//<?php
/**
 * @package		Videos
 * @author		<a href='http://www.devfuse.com'>DevFuse</a>
 * @copyright	(c) 2015 DevFuse
 */
 
class videos_hook_oembedsites extends _HOOK_CLASS_
{
	/**
	 * Override default oEmbed Sites
	 *
	 * @see		<a href="http://www.oembed.com">oEmbed</a>
	 * @return	array
	 */
	static public function oembedServices()
	{
		try
		{
			try
			{
				try
				{
					try
					{
						try
						{
					        try
					        {
					            /* Get our default sites first */
					            $defaultSites = call_user_func_array( 'parent::oembedServices', func_get_args() );
					
					            /* Add our custom sites */
					            $customSites = array();
					
					            if( count( $mediaSites = \IPS\videos\MediaSite::roots( NULL, NULL, array( array( 'site_enabled=?', 1 ) ) ) ) )
					            {
					                foreach( $mediaSites as $site )
					                {
					                    $customSites[ $site->host ] = array( $site->oembed, static::EMBED_VIDEO );
					                }
					
					                /* Return merged site list */
					                return array_merge( $customSites, $defaultSites );
					            }
					
					            /* Just return default sites */
					            return $defaultSites;
					        }
					        catch ( \RuntimeException $e )
					        {
					            return call_user_func_array( 'parent::oembedServices', func_get_args() );
					        }
						}
						catch ( \RuntimeException $e )
						{
							if ( method_exists( get_parent_class(), __FUNCTION__ ) )
							{
								return call_user_func_array( 'parent::' . __FUNCTION__, func_get_args() );
							}
							else
							{
								throw $e;
							}
						}
					}
					catch ( \Error | \RuntimeException $e )
					{
						if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
						{
							\IPS\Log::log( $e, 'hook_exception' );
						}
			
						if ( method_exists( get_parent_class(), __FUNCTION__ ) )
						{
							return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
						}
						else
						{
							throw $e;
						}
					}
				}
				catch ( \Error | \RuntimeException $e )
				{
					if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
					{
						\IPS\Log::log( $e, 'hook_exception' );
					}
		
					if ( method_exists( get_parent_class(), __FUNCTION__ ) )
					{
						return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
					}
					else
					{
						throw $e;
					}
				}
			}
			catch ( \Error | \RuntimeException $e )
			{
				if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
				{
					\IPS\Log::log( $e, 'hook_exception' );
				}
	
				if ( method_exists( get_parent_class(), __FUNCTION__ ) )
				{
					return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
				}
				else
				{
					throw $e;
				}
			}
		}
		catch ( \Error | \RuntimeException $e )
		{
			if( \defined( '\IPS\DEBUG_HOOKS' ) AND \IPS\DEBUG_HOOKS )
			{
				\IPS\Log::log( $e, 'hook_exception' );
			}

			if ( method_exists( get_parent_class(), __FUNCTION__ ) )
			{
				return \call_user_func_array( 'parent::' . __FUNCTION__, \func_get_args() );
			}
			else
			{
				throw $e;
			}
		}
	}
}